Bloss Docs

The instant base pay queue

Developers
GET
/brands/{brandId}/base-pay-queue

Sets (pairs) whose base pay qualified mid-cycle and wait for an admin to review and pay, as on Payouts › Base pay. Pending by default; pass status for decided requests. Read-only: nothing here approves or pays. Newest first.

Authorization

bearerAuth payouts:read
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, recruitment:read, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read.

Scope: payouts:read

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length

Query Parameters

limit?integer

Page size, 1–100. Default 50.

Range1 <= value <= 100
Default50
cursor?string

The nextCursor from the previous page. Omit for the first page.

Length1 <= length
status?string

"pending" (the open queue, default), "approved", "declined", "paid" or "failed".

Default"pending"
Value in"pending""approved""declined""paid""failed"

Response Body

Success.

application/json
  1. response
data*array<>
nextCursor*|

Pass as cursor to get the next page; null on the last page.

curl -X GET 'https://example.com/api/v1/brands/string/base-pay-queue'
{  "data": [    {      "id": "string",      "status": "pending",      "amount": 0,      "creator": {        "id": "string",        "name": "string",        "status": "string"      },      "setId": "string",      "cycleId": "string",      "triggerPlatform": "string",      "detectedAt": "string",      "decidedAt": "string",      "withheld": {        "reason": "string",        "label": "string"      },      "failureReason": "string",      "paidVia": "string",      "transferId": "string",      "set": {        "videoCount": -9007199254740991,        "tags": [          {            "id": "string",            "name": "string"          }        ],        "videos": [          {            "id": "string",            "platform": "string",            "views": 0,            "url": "string",            "postedAt": "string"          }        ]      }    }  ],  "nextCursor": "string"}

Was this page helpful?